# -*- encoding: utf-8 -*-
# stub: syncache 1.4 ruby lib

Gem::Specification.new do |s|
  s.name = "syncache"
  s.version = "1.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Dmitry Borodaenko"]
  s.date = "2016-04-16"
  s.description = "SynCache stores cached objects in a Hash that is protected by an advanced\ntwo-level locking mechanism which ensures that:\n\n * Multiple threads can add and fetch objects in parallel.\n * While one thread is working on a cache entry, other threads can access\n   the rest of the cache with no waiting on the global lock, no race\n   conditions nor deadlock or livelock situations.\n * While one thread is performing a long and resource-intensive\n   operation, other threads that request the same data will be put on hold,\n   and as soon as the first thread completes the operation, the result will be\n   returned to all threads.\n"
  s.email = "angdraug@debian.org"
  s.executables = ["syncache-drb"]
  s.files = ["COPYING", "ChangeLog.mtn", "README.rdoc", "Rakefile", "bin/syncache-drb", "lib/syncache.rb", "lib/syncache/remote.rb", "lib/syncache/syncache.rb", "man/syncache-drb.1", "setup.rb", "syncache.gemspec", "test/tc_remote.rb", "test/tc_syncache.rb", "test/ts_syncache.rb"]
  s.homepage = "https://github.com/angdraug/syncache"
  s.licenses = ["GPL-3.0+"]
  s.rubygems_version = "2.5.1"
  s.summary = "Thread-safe time-limited cache with flexible replacement policy"
  s.test_files = ["test/ts_syncache.rb"]
end
